<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Dealer</title>
</head>

<body>

<?php
$thispage = "dealer.php";
$event_id = '';
$dealer_id = '';
$action = '';

require_once 'scripts/login.php';
require_once 'scripts/poker.php';

$db_connect = mysqli_connect($db_hostname,$db_username,$db_password,$db_database);

if ($db_connect)
{
	//echo "Database Connected <br />";
}
else
{
	die("Connection Failed: " . mysqli_connect_error());
}

$end_quarter = get_end_of_season();

/*foreach ($_POST as $item => $description)
	echo "$item: $description<br>";*/


if ( isset($_POST['action'])) $action = sanitizeSql($_POST['action']);

if (!$action)
{
	echo <<<_END
	<form method="post" action="$thispage">
	Enter your Dealer Account:
	<input type="text" name="dealer_account" />
	<input type="hidden" name="action" value="account" />
	<input type="submit" value="Submit"/>
	</form>
	<br />
	<form method="post" action="$thispage">
	Or Apply for an Account:
	<input type="hidden" name="action" value="apply" />
	<input type="submit" value="Apply" />
	</form>
_END;

}
elseif ( $action == "apply" )
{
	echo <<<_END
	<br />Enter you desired account name and addition information necessary to establish an account.
	<br />This will be your password to edit event information.
	<br />Do not use a name that can be easily guessed or that you would use on another site.
	<form method="post" action="$thispage"><pre>
	<br />    Account Name <input type="text" name="dealer_account" />
	<br />       Your Name <input type="text" name="dealer_name" />
	<br />   Email Address <input type="text" name="email" /><br />
_END;
	location_select
		("Primary Location");
	echo <<<_END
	<input type="hidden" name="action" value="add_account" />
	<input type="submit" value="Submit"/>
	</pre></form>
_END;

}
elseif ( $action == "add_account")
{
	if ( isset($_POST['dealer_account'])) $dealer_account = sanitizeSql( $_POST['dealer_account']);
	if ( isset($_POST['dealer_name'])) $dealer_name = sanitizeSql($_POST['dealer_name']);
	if ( isset($_POST['email'])) $email = sanitizeSql( $_POST['email'] );
	if ( isset($_POST['location_id'])) $location_id = sanitizeSql($_POST['location_id']);
	if ($dealer_account and $dealer_name and $email and $location_id)
	{
		$query = "INSERT INTO dealers 
		(dealer_account,dealer_name,email,authorization_level,dealer_id,location_id)
		values ('$dealer_account','$dealer_name','$email',0,NULL,'$location_id')";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			echo "<br />Account added.</a>";
		}
		else
		{
			echo "<br />Insert failed <br />$query<br />" . mysqli_error($db_connect);
		}
	}
	else
	{
		echo "<br />Invalid input.";
	}
}
elseif ( $action == "account" ) 
{
	$dealer_account = '';
	if ( isset($_POST['dealer_account'])) $dealer_account = sanitizeSql($_POST['dealer_account']);
	if ( isset($_POST['dealer_id'])) $dealer_id = sanitizeSql($_POST['dealer_id']);
	$query = '';
	if ($dealer_account)
	{
		$query = "SELECT dealer_id,email,location_id FROM dealers 
		where dealer_account = '$dealer_account'";
	}
	else if ($dealer_id)
	{
		$query = "SELECT dealer_id,email,location_id FROM dealers where dealer_id = '$dealer_id'";
	}
	if ($query)
	{
		$result = mysqli_query($db_connect,$query);
		if (!$result or (mysqli_num_rows($result) == 0))
		{
			echo "Dealer not found. <a href=" . $thispage . ">Click here to try again</a>";
		}
		else
		{
			$dealer_id = getsqli_result($result,0,'dealer_id');
			$email = getsqli_result($result,0,'email');
			$location_id = getsqli_result($result,0,'location_id');
			if ($email == "1")
			{
				echo "<strong>Due to an error on the developer's part, your 
				email address was not recorded properly.  Please update your 
				email address now</strong><br />
				<form method=\"post\" action=\"$thispage\">
				<br />Email Address <input type=\"text\" name=\"email\" />
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"update_email\" />
				<input type=\"submit\" value=\"Update Email\" />
				</form>
				<hr />
				";

			}
			else
			{			
			echo "
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" ><pre>
				<br />Enter Event Details";
			location_select_default
			    ("                         Location",$location_id);
			echo <<<_END
			<br /> Date (YEAR-MM-DD Ex. 2016-12-31) <input type="date" name="event_date" />
			<br />                  Number of Games <input type="text" name="games" value="0" />
			<br />                        Collected <input type="text" name="collected" />
			<br />                 Notes (Optional) <input type="text" name="event_notes" />
			<br />                                  <input type="submit" /></pre>
			<input type="hidden" name="dealer_id" value="$dealer_id" />
			<input type="hidden" name="action" value="event" />
			</form>
_END;

			echo "
				<hr />
				<form method=\"post\" action=\"$thispage\">";
			location_select_default
			    ("",$location_id);
			echo "
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"update_default_location\" />
				<input type=\"submit\" value=\"Update Default Location\" />
				</form>				
				";

			echo "
				<hr />
				<form method=\"post\" action=\"$thispage\">
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"event_list\" />
				<input type=\"submit\" value=\"Event List\" />
				</form>				
				";

			echo "
				<hr />
				<form method=\"post\" action=\"$thispage\">
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"player_points\" />
				<input type=\"submit\" value=\"Player Points\" />
				</form>				
				";

			echo "<hr />
				 <form method=\"post\" action=\"$thispage\">
			 	 <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			 	 <input type=\"hidden\" name=\"action\" value=\"edit_attendance\" />
			 	 <input type=\"submit\" value=\"Edit Attendance\" />
			 	 </form>				
				 ";

			echo "
				<hr />
				Announcements <br />
				<form method=\"post\" action=\"$thispage\">
				<input type=\"text\" name=\"announcement\" size=\"100\" maxlength=\"255\"/>
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"add_announcement\" />
				<input type=\"submit\" value=\"Add announcement\" />
				</form>				
				";

			$approve_authorized = dealer_authorization($dealer_id) >= 1;
			if ($approve_authorized)
			{
				$query = "SELECT announcement, announcement_id, approved
							FROM announcements";
			}
			else
			{
				$query = "SELECT announcement, announcement_id, approved
							FROM announcements
							WHERE dealer_id = '$dealer_id'";
			}

			$result = mysqli_query($db_connect,$query);
							
			if ($result)
			{
				$rows = mysqli_num_rows($result);
				for ( $j = 0 ; $j < $rows ; ++$j )
				{
					$row = mysqli_fetch_row($result);
					$announcement = $row[0];
					$announcement_id = $row[1];
					$approved = $row[2]; 
					echo "
						<br />
						$announcement
						<br />
						";
					$removehtml = htmlspecialchars($announcement);
					if ($removehtml != $announcement)
					{
						echo "ORIGINAL TXT: $removehtml";
					}
					if (!$approved)
					{
						if ($approve_authorized)
						{
							echo "
								<form method=\"post\" action=\"$thispage\">
								<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
								<input type=\"hidden\" name=\"announcement_id\" value=\"$row[1]\" />
								<input type=\"hidden\" name=\"action\" value=\"approve_announcement\" />
								<input type=\"submit\" value=\"Approve\" />
								</form>				
						";
						}
						else
						{
							echo "Awaiting Approval";
						}
					}
					echo "
						<form method=\"post\" action=\"$thispage\">
						<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
						<input type=\"hidden\" name=\"announcement_id\" value=\"$announcement_id\" />
						<input type=\"hidden\" name=\"action\" value=\"delete_announcement\" />
						<input type=\"submit\" value=\"Delete\" />
						</form> 				
						";
				}
			}
			echo "
				<hr />
				<a href='reports/WinSheetWithAttendance3.pdf' >Copy of Win Sheet with Attendance</a>
				";

			if ($approve_authorized)
			{
				$stored_end_quarter = var_value($end_of_last_season);
				echo "
					 <hr /><br />The End of Quarter date is used to control what events are
					 displayed in the current and old leaderboards.
					 If this date is in the past, all event data prior to this date will
					 appear in the old leaderboard when the website is updated. If this
					 date is blank or in the future, all event data will appear on the
					 current leaderboard and the old leaderboard will not be updated
					 when the website is updated.  DELETE the old quarter
					 prior to changing the End Of Quarter to a future date to avoid data from
					 the old quarter being included with the current quarter.<p />";

				echo "
					<form method=\"post\" action=\"$thispage\">
					End of Quarter  <input type=\"text\" name=\"new_end_of_quarter\", value=\"$stored_end_quarter\" />
					<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
					<input type=\"hidden\" name=\"action\" value=\"update_end_of_quarter\" />
					<input type=\"submit\" value=\"Update End Of Quarter\" />
					</form>	
						";

				if ($end_quarter)
				{
					echo "<p />
						<form method=\"post\" action=\"$thispage\">
						Dealer Account <input type=\"text\" name=\"dealer_account\" />
						<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
						<input type=\"hidden\" name=\"action\" value=\"delete_old_quarter\" />
						<input type=\"submit\" value=\"Delete Old Quarter\" />
						</form>				
						";
				}
			}
			}
		}
	}
}
elseif ( $_POST['action'] == "update_email" )
{
	$dealer_id   = sanitizeSql($_POST['dealer_id']);
	$email       = sanitizeSql($_POST['email']);
	
	$query = "UPDATE dealers SET email = '$email' WHERE dealer_id = '$dealer_id'";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Email Updated <br />";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "event" )
{
	$dealer_id   = sanitizeSql($_POST['dealer_id']);
	$location_id = sanitizeSql($_POST['location_id']);
	$event_date  = sanitizeSql($_POST['event_date']);
	$event_notes = sanitizeSql($_POST['event_notes']);
	$collected   = sanitizeSql($_POST['collected']);
	$games       = sanitizeSql($_POST['games']);

	$collected = str_replace("$","",$collected);
	
	$query = "SELECT event_id FROM events WHERE location_id = $location_id and event_date = '$event_date'";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$rows = mysqli_num_rows($result);
		if ($rows == 0)
		{
			if ($games == "0")
			{
				echo "Wins have not been recorded for this date.
					  You must enter the number of games played to create this event.
					  Do not create this event if you are not recording wins for this date.";
			}
			else if ($collected == '')
			{
				echo "You must enter the amount collected or to be billed in the case of La Palma.";
			}
			else if (dealer_authorization($dealer_id) >= 0 and date_check($event_date))
			{
				$query = "INSERT INTO events (location_id, event_date, event_notes, dealer_id, games) values
				('$location_id', DATE('$event_date'), '$event_notes', '$dealer_id', '$games')";
				$result = mysqli_query($db_connect,$query);
				if ($result)
				{
					$event_id = mysqli_insert_id($db_connect);
					echo "EVENT CREATED $event_id";
					
					$location = get_location($location_id);
					$trans_type = $trans_type_collected;
					if ($location == 'La Palma') $trans_type = $trans_type_owed;
					
					$query = "INSERT INTO accounting (transaction_date, transaction_type, description, event_id, amount) values (DATE('$event_date'),'$trans_type','$location','$event_id','$collected')";
					$result = mysqli_query($db_connect,$query);
					if ($result)
					{
						$trans_id = mysqli_insert_id($db_connect);
						echo "<br/>TRANSACTION CREATED $trans_id";
					}
					else
					{
						echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
					}					

				}
				else
				{
					echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
				}
			}
			else
			{
				echo "You are not currently authorized to create events 
				      or there is an error in the date (you entered $event_date)<br />";
			}
		}
		else
		{
			$event_id = getsqli_result($result,0,'event_id');
			echo "EVENT FOUND $event_id";
		}
	}
	else
	{
		echo "Select failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		echo "<a href='$thispage'>Click to start over</a>";
	}
}
else if ($_POST['action'] == "update_default_location")
{
	$dealer_id   = sanitizeSql($_POST['dealer_id']);
	$location_id = sanitizeSql($_POST['location_id']);
	
	$query = "UPDATE dealers SET location_id = '$location_id' WHERE dealer_id = '$dealer_id'";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Default Location Updated <br />";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
else if ($_POST['action'] == "event_list")
{
	$dealer_id    = sanitizeSql($_POST['dealer_id']);

	echo "
		<form method=\"post\" action=\"$thispage\">
		<input type=\"hidden\" name=\"action\" value=\"account\" />
		<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
		<input type=\"submit\" value=\"Return to Account\" />
		</form>
		<hr />
		";

	$query = "SELECT location, event_date, games, last_updated, event_notes, dealer_name
		from events,locations,dealers
		where events.location_id = locations.location_id 
		and events.dealer_id = dealers.dealer_id 
		order by location,event_date";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("Location","Date","Games","Last Updated","Notes","Dealer");
		
		echo "
			<h4>Events</h4>
			";

		dump_result($result,$column_names);
	}

}
else if ($_POST['action'] == "player_points")
{
	$dealer_id    = sanitizeSql($_POST['dealer_id']);

	echo "
		<form method=\"post\" action=\"$thispage\">
		<input type=\"hidden\" name=\"action\" value=\"account\" />
		<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
		<input type=\"submit\" value=\"Return to Account\" />
		</form>	
		<hr />
		";

	$query = "SELECT player_name, event_date, location, num_points, points_notes
		from points,players,events,locations
		where 
			points.player_id = players.player_id and
			points.event_id = events.event_id and
			events.location_id = locations.location_id
		order by player_name, event_date, location
		";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("Player","Date","Location","Points","Notes");
		
		echo "
			<h4>Points</h4>
			";

		dump_result($result,$column_names);
	}

}
elseif ( $_POST['action'] == "edit_attendance" )
{
	$dealer_id   = sanitizeSql($_POST['dealer_id']);
	{
		echo "
			<br />
			<form method=\"post\" action=\"$thispage\">
			";
		player_select("Player");
		echo "
			<br />Attending<select name=\"attending\" >
			<option value=\"Yes\" selected>Yes</option>
			<option value=\"No\" >No</option>
			<option value=\"Maybe\" >Maybe</option>
			<option value=\"Pending\" >Pending</option>
			<option value=\"Deal\" >Deal</option>
			<option value=\"Delete\" >Delete</option>
			</select><br />
			<br />Options<select name=\"options\" >
			<option value=\"Food\" >Food</option>
			<option value=\"\" selected>None</option>
			</select><br />
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"edit_attendance\" />
			<br /><input type=\"submit\" value=\"Update Attendance\" />
			</form>				
				";
	}

	if ( isset($_POST['player_id']))
	{
		$player_id = sanitizeSql($_POST['player_id']);
		$attending = sanitizeSql($_POST['attending']);
		$options   = sanitizeSql($_POST['options']);
		
		$query = "DELETE FROM quarterly WHERE player_id = '$player_id'";
		$result = mysqli_query($db_connect,$query);
		
		if ($attending != "Delete")
		{
			$query = "INSERT INTO quarterly (player_id, attending,options)
						values ('$player_id','$attending','$options' )";
			$result = mysqli_query($db_connect,$query);
			if (!$result)
			{
				echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
			}
		}
	}

	$query = "SELECT player_name, attending, options
	          FROM quarterly,players
			  WHERE
			    quarterly.player_id = players.player_id
			  ORDER BY player_name;";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("Player Name","Attending","Options");
		
		echo "
			<h4>Attendance</h4>
			";

		dump_result($result,$column_names);

		$query ="SELECT attending, count(attending)FROM `quarterly` group by attending order by attending desc";
		$result = mysqli_query($db_connect,$query);
		$column_names = array("ATTENDING","COUNT");
		dump_result($result,$column_names);
	}

}
else if ($_POST['action'] == "add_points")
{
	$event_id     = sanitizeSql($_POST['event_id']);
	$dealer_id    = sanitizeSql($_POST['dealer_id']);
	$num_points   = sanitizeSql($_POST['num_points']);
	$points_notes = sanitizeSql($_POST['points_notes']);
	$player_id    = sanitizeSql($_POST['player_id']);
	$new_player   = sanitizeSql($_POST['new_player']);
	
	if ($new_player)
	{
		$player_id = id_player($new_player);
		if ($player_id < 0)
		{
			$query = "INSERT INTO players (player_name, player_id)
			values ('$new_player',NULL)";
			$result = mysqli_query($db_connect,$query);
			if ($result)
			{
				$player_id = mysqli_insert_id($db_connect);
			}
			else
			{
				$player_id  = -1;
				$num_points = -1;
				echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
			}
		}
	}
	$query = "DELETE FROM points where event_id = '$event_id' and player_id = '$player_id'";
	$result = mysqli_query($db_connect,$query);
	if (!$result)
	{
		echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}

	if ($num_points >= 0)
	{
		$query = "INSERT INTO points (player_id, event_id, num_points, points_notes)
		value ('$player_id','$event_id','$num_points','$points_notes')";

		$result = mysqli_query($db_connect,$query);
		if (!$result)
		{
			echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
	}
	
	if ($result)
	{
		echo "EVENT $event_id";
		$query = "UPDATE events SET last_updated = SYSDATE() where event_id = '$event_id'";
		$result = mysqli_query($db_connect,$query);
		if (!$result) echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
else if ($_POST['action'] == "delete_event")
{
	$event_id     = sanitizeSql($_POST['event_id']);
	$dealer_id    = sanitizeSql($_POST['dealer_id']);

	if (dealer_authorization($dealer_id) >= 0)
	{
		$query = "DELETE FROM points WHERE event_id = '$event_id'";
		$result = mysqli_query($db_connect,$query);
		$query = "DELETE FROM events WHERE event_id = '$event_id'";
		$result = mysqli_query($db_connect,$query);
		$query = "DELETE FROM accounting WHERE event_id = '$event_id'";
		$result = mysqli_query($db_connect,$query);
		echo "Event Deleted<br />";
		$event_id = '';
	}

}
else if ($_POST['action'] == "update_event")
{
	$event_id     = sanitizeSql($_POST['event_id']);
	$dealer_id    = sanitizeSql($_POST['dealer_id']);
	$location_id  = sanitizeSql($_POST['location_id']);
	$event_date   = sanitizeSql($_POST['event_date']);
	$event_notes  = sanitizeSql($_POST['event_notes']);
	$games        = sanitizeSql($_POST['games']);

	if (!date_check($event_date))
	{
		echo "Bad Date Format $event_date";
	}
	else if (dealer_authorization($dealer_id) >= 0)
	{
		$query = "UPDATE events 
				SET location_id = \"$location_id\", event_date = \"$event_date\", games = \"$games\" ,
				event_notes = \"$event_notes\"
				WHERE event_id = \"$event_id\"";
		$result = mysqli_query($db_connect,$query);
		if (!$result)
		{
			echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
		else
		{
			echo "EVENT UPDATED $event_id";
			
			$description = get_location($location_id);
			$query = "UPDATE accounting
				SET transaction_date = \"$event_date\", description =\"$description\"
				WHERE event_id = \"$event_id\"";
				
			$result = mysqli_query($db_connect,$query);
			if (!$result)
			{
				echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
			}
			else
			{
				$affected = mysqli_affected_rows($db_connect);
				echo "<br/>TRANSACTION UPDATED $affected";
			
			}
		}
	}

}
else if ($_POST['action'] == "add_announcement")
{
	$dealer_id    = sanitizeSql($_POST['dealer_id']);
	$announcement = sanitizeSqlLeaveHtml($_POST['announcement']);
	
	if (dealer_authorization($dealer_id) >= 0)
	{
		if ($announcement != '')
		{
			$query = "INSERT INTO announcements (dealer_id, announcement, approved) values
					('$dealer_id', \"$announcement\", '0')";
			$result = mysqli_query($db_connect,$query);
			if ($result)
			{
				echo "Announcement created, awaiting approval, send email to web@floridafreepoker.net for faster approval";
			}
			else
			{
				echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
			}
		}
		else
		{
			echo "Illegal Announcement, No special formatting allowed";
		}
	}
	else
	{
		echo "You are not currently authorized to create announcements<br />";
	}
}
else if ($_POST['action'] == "delete_announcement")
{
	$dealer_id        = sanitizeSql($_POST['dealer_id']);
	$announcement_id  = sanitizeSql($_POST['announcement_id']);

	if (dealer_authorization($dealer_id) >= 0)
	{
		$query = "DELETE FROM announcements WHERE announcement_id = '$announcement_id'";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			echo "Announcement Deleted<br />";
		}
		else
		{
			echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
	}

}
else if ($_POST['action'] == "approve_announcement")
{
	$dealer_id        = sanitizeSql($_POST['dealer_id']);
	$announcement_id  = sanitizeSql($_POST['announcement_id']);

	if (dealer_authorization($dealer_id) >= 1)
	{
		$query = "UPDATE announcements SET approved = 1 WHERE announcement_id = '$announcement_id'";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			echo "Announcement Approved<br />";
		}
		else
		{
			echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
	}

}
else if ($_POST['action'] == "update_site")
{
	$dealer_id    = sanitizeSql($_POST['dealer_id']);

	$end_quarter_query = '';
	$use_leaderboard_fname = $leaderboard_fname;
	$use_events_fname = $events_fname;
	$use_points_fname = $points_fname;
	if ($end_quarter)
	{
		$end_quarter_query = "and events.event_date > '$end_quarter' ";
	}
	
	do
	{

		$query = "SELECT player_name,sum(num_points) from players,points,events
				where players.player_id = points.player_id and
				points.event_id = events.event_id 
				$end_quarter_query
				group by player_name 
				order by sum(num_points) DESC, player_name ASC";
		$result = mysqli_query($db_connect,$query);
			
		generate_file($result,$use_leaderboard_fname);

	
		$query = "SELECT location, event_date, games, last_updated, event_notes from events,locations
			where events.location_id = locations.location_id 
			$end_quarter_query
			order by location,event_date";
		$result = mysqli_query($db_connect,$query);
		generate_file($result,$use_events_fname);


		$query = "SELECT player_name, event_date, location, num_points, points_notes
			from points,players,events,locations
			where 
				points.player_id = players.player_id and
				points.event_id = events.event_id and
				events.location_id = locations.location_id and
				points.num_points > 0
				$end_quarter_query
			order by player_name, event_date, location
			";
		$result = mysqli_query($db_connect,$query);
		generate_file($result,$use_points_fname);
		
		if ($end_quarter and $use_leaderboard_fname == $leaderboard_fname)
		{
			$end_quarter_query = "and events.event_date <= '$end_quarter' ";
			$use_leaderboard_fname = $old_leaderboard_fname;
			$use_events_fname = $old_events_fname;
			$use_points_fname = $old_points_fname;
		}
		else
		{
			$end_quarter_query = '';
		}

	}
	while ($end_quarter_query);

	$query = "SELECT announcement FROM announcements where approved = 1
				ORDER BY announcement_id;";
	$result = mysqli_query($db_connect,$query);
	generate_file($result,$announcements_fname);
	
	$query = "SELECT DATE_FORMAT(event_date, '%a %b-%d'), location FROM events, locations
				WHERE events.location_id = locations.location_id AND
				event_date >= DATE_SUB(CURDATE(),INTERVAL 14 DAY)
				order by event_date desc";
	$result = mysqli_query($db_connect,$query);
	generate_file($result,$last_events_fname);

	leaderboard_table($leaderboard_fname);
}
else if ($_POST['action'] == "update_end_of_quarter")
{
	$dealer_id          = sanitizeSql($_POST['dealer_id']);
	$new_end_of_quarter = sanitizeSql($_POST['new_end_of_quarter']);
	$good_input         = 1;

	if ($new_end_of_quarter != "")
	{
		$somedate = date_create_from_format("Y-m-d",$new_end_of_quarter);

		if ($somedate)
		{
			$new_end_of_quarter = date_format($somedate,"Y-m-d");
		}
		else
		{
			$good_input = 0;
			echo "Bad Date Entry";
		}
	}
	if ($good_input)
	{
		if (update_var_value($end_of_last_season,$new_end_of_quarter))
		{
			echo "End Of Quarter Updated";
		}
	}
}
else if ($_POST['action'] == "delete_old_quarter")
{
	$dealer_id      = sanitizeSql($_POST['dealer_id']);
	$dealer_account = sanitizeSql($_POST['dealer_account']);
	$query = "SELECT dealer_id FROM dealers WHERE
				dealer_id = '$dealer_id' AND
				dealer_account = '$dealer_account'";
	$result = mysqli_query($db_connect,$query);
	if ($result and (mysqli_num_rows($result) > 0))
	{
		$query = "DELETE FROM points WHERE 
			event_id in (SELECT event_id FROM events WHERE event_date <= '$end_quarter')";
		$result = mysqli_query($db_connect,$query);
		$affected = mysqli_affected_rows($db_connect);
		echo "Deleted $affected Points<br />";
		$query = "DELETE FROM events WHERE event_date <= '$end_quarter'";
		$result = mysqli_query($db_connect,$query);
		$affected = mysqli_affected_rows($db_connect);
		echo "Deleted $affected Events<br />";
		echo "Old Quarter Deleted<br />";
	}
	else
	{
		echo "Delete Failed<br />";
	}
}
if ($event_id and $dealer_id)
{
	$query = "SELECT locations.location_id, location, event_date, event_notes, events.dealer_id, last_updated, games, dealer_name
	from events,locations,dealers
	where event_id = $event_id and 
	events.location_id = locations.location_id and
	events.dealer_id = dealers.dealer_id";
	
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		if (mysqli_num_rows($result))
		{
			$row = mysqli_fetch_row($result);
			$location_id = $row[0];
			$location = $row[1];
			$event_date = $row[2];
			$event_notes = $row[3];
			$event_dealer_id = $row[4];
			$last_updated = $row[5];
			$games = $row[6];
			$name = $row[7];
			
			if ($dealer_id != $event_dealer_id and (dealer_authorization($dealer_id) < 2))
			{
				echo "<br />LOCATION $location </br>EVENT DATE $event_date </br>EVENT NOTES $event_notes <br />NUMBER OF GAMES $games <br />LAST_UPDATED $last_updated <br />DEALER $name <br />";

				echo "<br />Updates not allowed.  You must be the event recorder to update this event.<br />";
			}
			else
			{
				echo " / DEALER $name";
				echo "<form method=\"post\" action=\"$thispage\"><pre>";
				location_select_default
				    (" LOCATION       ",$location_id);
				echo <<<_END
				<br /> EVENT DATE      <input type="text" name="event_date" value="$event_date" />
				<br /> NUMBER OF GAMES <input type="text" name="games" value="$games" />
				<br /> NOTES           <input type="text" name="event_notes" value="$event_notes" />
				<br />                 <input type="submit" value="CAUTION: THIS WILL UPDATE THIS EVENT NOT SELECT ANOTHER EVENT" /></pre>
				<input type="hidden" name="event_id" value="$event_id" />
				<input type="hidden" name="dealer_id" value="$dealer_id" />
				<input type="hidden" name="action" value="update_event" />
				</form>
_END;

				echo "<br />Select an existing player or add a new player and enter points earned during the event.
				<br />To remove a player from the event, enter -1 for Points Earned.  
				<br />You may also record additional details about the points in the Notes entry.  
				<br />Entering a player that already has data for the event will replace that
				<br />player's data with the newly entered data.<br />";

				echo "<div>";
				echo "<div style=\"float:left\" >";

				echo "<form method=\"post\" action=\"$thispage\" autocomplete=\"off\"><pre>";
				player_select
				        (" Existing Player");
				echo <<<_END
					<br />      New Player <input type="text" name="new_player" />
					<br />Notes (Optional) <input type="text" name="points_notes" />
					<br />   Points Earned <input type="text" name="num_points" value="0" />
					<br />                 <input type="submit" value="Add Points" /></pre>
					<input type="hidden" name="event_id" value="$event_id" />
					<input type="hidden" name="action" value="add_points" />
					<input type="hidden" name="dealer_id" value="$dealer_id" />
					</form>
_END;

				echo "</div>";

				echo "<div style=\"float:left\">";

				echo "<form method=\"post\" action=\"$thispage\"><pre>";
				player_select
				        (" Existing Player");
				echo <<<_END
					<br />                 <input type="submit" value="Add Participation" /></pre>
					<input type="hidden" name="new_player" value="" />
					<input type="hidden" name="points_notes" value ="P" />
					<input type="hidden" name="num_points" value="1" />
					<input type="hidden" name="event_id" value="$event_id" />
					<input type="hidden" name="action" value="add_points" />
					<input type="hidden" name="dealer_id" value="$dealer_id" />
					</form>
_END;

				echo "</div>";
				echo "</div><br clear=\"left\" />";

				echo <<<_END
					<hr />
					<form method="post" action="$thispage">
					<input type="hidden" name="event_id" value="$event_id" />
					<input type="hidden" name="action" value="delete_event" />
					<input type="hidden" name="dealer_id" value="$dealer_id" />
					<input type="submit" value="Delete Event" />
					</form>
_END;
			}
			$query = "SELECT player_name, num_points, points_notes FROM points,players
			where event_id = $event_id and points.player_id = players.player_id ORDER BY player_name";
			$result = mysqli_query($db_connect,$query);
			if ($result)
			{
				echo "
					<hr />
					<h4>Point Data</h4>
 					<div class='table_box'>
  					<table id='players' border='0'>
        			<tr>
          				<td><strong>Player</strong></td>
          				<td><strong>Points</strong></td>
						<td><strong>Notes</strong></td>
		        	</tr>
					";
				$rows = mysqli_num_rows($result);
				$total = 0;
				for ( $j = 0 ; $j < $rows ; ++$j )
				{
					$row = mysqli_fetch_row($result);
					echo "<tr><td>$row[0]</td><td>$row[1]</td><td>$row[2]</td></tr>";
					$total = $total + $row[1];
				}
				echo "<tr><td><strong>Total ($rows)</strong></td><td><strong>$total</strong></td></tr>";
				echo "</table></div>";
			}

		}
		else
		{
			echo "Event not found";
		}
	}
	else
	{
		echo "Select failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		echo "<a href='$thispage'>Click to start over</a>";
	}
	
}
if ($dealer_id)
{
	if ($action != "account")
	{
		echo <<<_END
			<hr />
			<form method="post" action="$thispage">
			<input type="hidden" name="action" value="account" />
			<input type="hidden" name="dealer_id" value="$dealer_id" />
			<input type="submit" value="Return to Account" />
			</form>
_END;
	}

	if ($action == "account" or $action == "event" or 
	    $action == "add_points" or $action == "update_event")
	{
		echo <<<_END
			<hr />
			<form method="post" action="$thispage">
			<input type="hidden" name="action" value="update_site" />
			<input type="hidden" name="dealer_id" value="$dealer_id" />
			<input type="submit" value="Update Site" />
			</form>
_END;
	}
}
else if ($action)
{
	echo <<<_END
		<hr />
		<form method="post" action="$thispage">
		<input type="submit" value="Return to Dealer Login" />
		</form>
_END;
}

mysqli_close($db_connect);

function id_player($player_name)
{
	global $db_connect;

	$query = "SELECT player_id FROM players where player_name = '$player_name'";
	$result = mysqli_query($db_connect,$query);
	if ($result and (mysqli_num_rows($result) > 0))
	{
		$player_id = getsqli_result($result,0,'player_id');
		return $player_id;
	}
	else
	{
		return -1;
	}
}

function date_check($event_date)
{
	date_default_timezone_set('America/New_York');
	if ($some_date = date_create_from_format("Y-m-d",$event_date))
	{
		return (date_format($some_date,"Y-m-d") <= date("Y-m-d"));
	}
	else
	{
		return 0;
	}
}

function dealer_authorization($dealer_id)
{
	global $db_connect;

	$query = "SELECT authorization_level FROM dealers where dealer_id = '$dealer_id'";
	$result = mysqli_query($db_connect,$query);
	if ($result and (mysqli_num_rows($result) > 0))
	{
		$authorization_level = getsqli_result($result,0,'authorization_level');
		return $authorization_level;
	}
	else
	{
		return -1;
	}
}
?>

</body>
</html>