<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Accounting</title>
</head>

<body>

<?php
$thispage = "accounting.php";
$dealer_id = '';
$action = '';

require_once 'scripts/login.php';
require_once 'scripts/poker.php';

$db_connect = mysqli_connect($db_hostname,$db_username,$db_password,$db_database);
if ($db_connect)
{
}
else
{
	die("Connection Failed: " . mysqli_connect_error());
}

//foreach ($_POST as $item => $description)
//	echo "$item: $description<br>";

if ( isset($_POST['action'])) $action = sanitizeSql($_POST['action']);

if (!$action)
{
	echo <<<_END
	<form method="post" action="$thispage">
	Enter your Dealer Account:
	<input type="text" name="dealer_account" />
	<input type="hidden" name="action" value="account" />
	<input type="submit" value="Submit"/>
	</form>
	<br />
_END;

}
elseif ( $action == "account" ) 
{
	echo "Enter Account Action";
	$dealer_account = '';
	if ( isset($_POST['dealer_account'])) $dealer_account = sanitizeSql($_POST['dealer_account']);
	if ( isset($_POST['dealer_id'])) $dealer_id = sanitizeSql($_POST['dealer_id']);
	$query = '';
	if ($dealer_account)
	{
		$query = "SELECT dealer_id FROM dealers 
		where dealer_account = '$dealer_account'";
	}
	else if ($dealer_id)
	{
		$query = "SELECT dealer_id FROM dealers where dealer_id = '$dealer_id'";
	}
	if ($query)
	{
		$result = mysqli_query($db_connect,$query);
		if (!$result or (mysqli_num_rows($result) == 0))
		{
			echo "Dealer not found. <a href=" . $thispage . ">Click here to try again</a>";
		}
		else
		{
			$row = mysqli_fetch_row($result);
			$dealer_id = $row[0];

			{			
			echo "
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" ><pre>
				<br />Add Transaction
				<br />Date (YEAR-MM-DD Ex. 2016-12-31) <input type=\"date\" name=\"transaction_date\" />
				<br />Description                      <input type=\"text\" name=\"description\" />
				<br />Transaction Type                 <select name=\"trans_type\" >
					<option value=\"$trans_type_collected\" >Collected</option>
					<option value=\"$trans_type_owed\" >Owed</option>
					<option value=\"$trans_type_expense\" >Expense</option>
					</select>
				<br />Amount                           <input type=\"text\" name=\"amount\" />
				<br /><input type=\"submit\" /></pre>
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"add\" />
				</form>";

//			$approve_authorized = dealer_authorization($dealer_id) >= 1;
			}
			echo "<hr/>
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" >
				<br />Start Date <input type=\"date\" name=\"start_date\" /> End Date <input type=\"date\" name=\"end_date\" />
				<br /><input type=\"submit\" value=\"Transactions\" />
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"transactions\" />
				</form>";
				
			echo "<hr/>
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" >
				<br />Start Date <input type=\"date\" name=\"start_date\" /> End Date <input type=\"date\" name=\"end_date\" />
				<br />Notes <input type=\"text\" name=\"notes\" />
				<br /><input type=\"submit\" value=\"La Palma Invoice\" />
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"lapalma\" />
				</form>";
			
			echo "<hr/>
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" >
				<br />Start Date <input type=\"date\" name=\"start_date\" /> End Date <input type=\"date\" name=\"end_date\" />
				<br />Location <input type=\"text\" name=\"location\" />
				<br />Notes <input type=\"text\" name=\"notes\" />
				<br /><input type=\"submit\" value=\"Invoice\" />
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"owed\" />
				</form>";

			echo "<hr/>
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" >
				<br />Transaction ID <input type=\"text\" name=\"transaction_id\" />
				<br /><input type=\"submit\" value=\"Delete Transaction\" />
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"delete\" />
				</form>";

			echo "<hr/>
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" >
				<br />Start Date <input type=\"date\" name=\"start_date\" /> End Date <input type=\"date\"				
 name=\"end_date\" />
				<br />Description <input type=\"text\" name=\"description\" />";
				
				id_select
				(
				"SELECT transaction_type, transaction_desc from transactions ORDER by transaction_type",
				"Transaction Type","trans_type");
				
			echo "
				<br /><input type=\"submit\" value=\"Update Transaction\" />
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"update\" />
				</form>";

			echo "<hr/>
				<form method=\"post\" action=\"$thispage\" autocomplete=\"off\" >
				<br />Transaction ID <input type=\"text\" name=\"transaction_id\" />
				<br />Amount <input type=\"text\" name=\"amount\" />
				<br /><input type=\"submit\" value=\"Update Transaction\" />
				<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
				<input type=\"hidden\" name=\"action\" value=\"update_amount\" />
				</form>";
		}
	}
}
elseif ( $_POST['action'] == "add" )
{
	$dealer_id        = sanitizeSql($_POST['dealer_id']);
	$transaction_date = sanitizeSql($_POST['transaction_date']);
	$description      = sanitizeSql($_POST['description']);
	$trans_type       = sanitizeSql($_POST['trans_type']);
	$amount           = sanitizeSql($_POST['amount']);

		$query = "INSERT INTO accounting( transaction_date,transaction_type,description,amount) values
	('$transaction_date','$trans_type','$description','$amount')";
	
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$transaction_id = mysqli_insert_id($db_connect);
		echo "TRANSACTION CREATED $transaction_id";
	}
	else
	{
		echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}

}
else if ($_POST['action'] == "delete")
{
	$transaction_id     = sanitizeSql($_POST['transaction_id']);
	$dealer_id          = sanitizeSql($_POST['dealer_id']);

	$query = "DELETE FROM accounting WHERE transaction_id = '$transaction_id'";
	$result = mysqli_query($db_connect,$query);
	echo "Transaction Deleted<br />";
}
else if (($_POST['action'] == "transactions"))
{
	$start_date     = sanitizeSql($_POST['start_date']);
	$end_date       = sanitizeSql($_POST['end_date']);
	$dealer_id      = sanitizeSql($_POST['dealer_id']);

	$where = '';
	if ($start_date != '')
	{
		$where = "and transaction_date >= '$start_date' ";
		if ($end_date != '')
		$where = $where . "and transaction_date <= '$end_date'";
	}
	else if ($end_date != '')
	{
		$where = "and transaction_date <= '$end_date' ";
	}
		
	$query = "SELECT transaction_id, transaction_date, event_id, description, transaction_desc, amount 
				FROM accounting,transactions
				where accounting.transaction_type = transactions.transaction_type $where
				ORDER BY transaction_date, description";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("ID","DATE","EVENT_ID","DESCRIPTION","TYPE","AMOUNT");
		dump_result($result,$column_names);
	}
	else
	{
		echo "Query failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
		
}
else if (($_POST['action'] == "lapalma"))
{
	$start_date     = sanitizeSql($_POST['start_date']);
	$end_date       = sanitizeSql($_POST['end_date']);
	$notes          = sanitizeSql($_POST['notes']);
	$dealer_id      = sanitizeSql($_POST['dealer_id']);

	echo "TO LA PALMA
		<br />FROM: FLORIDA FREE POKER
		<br />INVOICE: $start_date - $end_date
		<br /><br />";

	$query = "SELECT transaction_date, event_id, amount FROM accounting
				WHERE description = 'La Palma' and transaction_type = '$trans_type_owed'
				and transaction_date >= '$start_date' and transaction_date <= '$end_date'
				ORDER BY transaction_date";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("DATE","PLAYERS","EAT","COST","BALANCE");
		echo "
 			<div class='table_box'>
  			<table id='result' border='1'>
			<tr>";
		
		foreach ($column_names as $name)
		{
			echo "<td><strong>$name</strong></td>";
		}
		echo "</tr>";

		$total = 0;
 		$rows = mysqli_num_rows($result);
				
		for ($j = 0 ; $j < $rows ; ++$j)
		{
			$row = mysqli_fetch_row($result);
			echo "<td>$row[0]</td>";
			$query_players = "SELECT count(player_id) FROM points WHERE event_id = '$row[1]'";
			$result_players = mysqli_query($db_connect,$query_players);
			$players = mysqli_fetch_row($result_players);
			if ($row[1] == "") // no event
			{
				echo "<td></td>";
				echo "<td></td>";
			}
			else
			{
				echo "<td>$players[0]</td>";
				$eat = $row[2] / 2;
				echo "<td>$eat</td>";
			}
			echo "<td>$row[2]</td>";
			$total = $total + $row[2];
			echo "<td>$total</td>";
			echo "</tr>";
		}
		echo "</table></div><br />";
		
		echo "<br/><b>Total Due: $total</b><br/>";
		echo "<br/><b>PLEASE MAKE CHECK PAYABLE TO PHIL HADSELL</b><br/>";
		echo "<br/><b>$notes</b>";
	}
	else
	{
		echo "Select failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}

}
else if (($_POST['action'] == "owed"))
{
	$start_date     = sanitizeSql($_POST['start_date']);
	$end_date       = sanitizeSql($_POST['end_date']);
	$notes          = sanitizeSql($_POST['notes']);
	$location       = sanitizeSql($_POST['location']);
	$dealer_id      = sanitizeSql($_POST['dealer_id']);

	echo "TO: $location
		<br />FROM: FLORIDA FREE POKER
		<br />INVOICE: $start_date - $end_date
		<br /><br />";

	$query = "SELECT transaction_date, event_id, amount FROM accounting
				WHERE description = '$location' and transaction_type = '$trans_type_owed'
				and transaction_date >= '$start_date' and transaction_date <= '$end_date'
				ORDER BY transaction_date";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("DATE","PLAYERS","EAT","COST","BALANCE");
		echo "
 			<div class='table_box'>
  			<table id='result' border='1'>
			<tr>";
		
		foreach ($column_names as $name)
		{
			echo "<td><strong>$name</strong></td>";
		}
		echo "</tr>";

		$total = 0;
 		$rows = mysqli_num_rows($result);
				
		for ($j = 0 ; $j < $rows ; ++$j)
		{
			$row = mysqli_fetch_row($result);
			echo "<td>$row[0]</td>";
			$query_players = "SELECT count(player_id) FROM points WHERE event_id = '$row[1]'";
			$result_players = mysqli_query($db_connect,$query_players);
			$players = mysqli_fetch_row($result_players);
			if ($row[1] == "") // no event
			{
				echo "<td></td>";
				echo "<td></td>";
			}
			else
			{
				echo "<td>$players[0]</td>";
				$eat = $row[2] / 2;
				echo "<td>$eat</td>";
			}
			echo "<td>$row[2]</td>";
			$total = $total + $row[2];
			echo "<td>$total</td>";
			echo "</tr>";
		}
		echo "</table></div><br />";
		
		echo "<br/><b>Total Due: $total</b><br/>";
		//echo "<br/><b>PLEASE MAKE CHECK PAYABLE TO THOMAS GREENE</b><br/>";
		echo "<br/><b>$notes</b>";
	}
	else
	{
		echo "Select failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}

}
else if (($action == "update"))
{
	$start_date     = sanitizeSql($_POST['start_date']);
	$end_date       = sanitizeSql($_POST['end_date']);
	$description    = sanitizeSql($_POST['description']);
	$trans_type     = sanitizeSql($_POST['trans_type']);
	$dealer_id      = sanitizeSql($_POST['dealer_id']);

	$query = "UPDATE accounting SET transaction_type = '$trans_type'
		where transaction_date >= '$start_date' and transaction_date <= '$end_date'
			and description = '$description'";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "UPDATED " . mysqli_affected_rows($db_connect) . "<br />";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
else if (($action == "update_amount"))
{
	$transaction_id = sanitizeSql($_POST['transaction_id']);
	$amount         = sanitizeSql($_POST['amount']);
	$dealer_id      = sanitizeSql($_POST['dealer_id']);

	$query = "UPDATE accounting SET amount = '$amount'
		where transaction_id = '$transaction_id'";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "UPDATED " . mysqli_affected_rows($db_connect) . "<br />";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}

if ($dealer_id)
{
	if ($action != "account" and $action !="lapalma")
	{
		echo <<<_END
			<hr />
			<form method="post" action="$thispage">
			<input type="hidden" name="action" value="account" />
			<input type="hidden" name="dealer_id" value="$dealer_id" />
			<input type="submit" value="Return to Account" />
			</form>
_END;
	}
}
else if ($action)
{
	echo <<<_END
		<hr />
		<form method="post" action="$thispage">
		<input type="submit" value="Return to Dealer Login" />
		</form>
_END;
}

mysqli_close($db_connect);

function date_check($event_date)
{
	date_default_timezone_set('America/New_York');
	if ($some_date = date_create_from_format("Y-m-d",$event_date))
	{
		return (date_format($some_date,"Y-m-d") <= date("Y-m-d"));
	}
	else
	{
		return 0;
	}
}

function dealer_authorization($db_connect,$dealer_id)
{
	$query = "SELECT authorization_level FROM dealers where dealer_id = '$dealer_id'";
	$result = mysqli_query($db_connect,$query);
	if ($result and (mysqli_num_rows($result) > 0))
	{
		$row = mysqli_fetch_row($result);
		$authorization_level = $row['authorization_level'];
		return $authorization_level;
	}
	else
	{
		return -1;
	}
}
?>

</body>
</html>