<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Dealer Mods</title>
</head>

<body>

<?php
$thispage = "dealerad.php";
$dealer_account = '';
$dealer_id = '';
$action = '';

require_once 'scripts/login.php';
require_once 'scripts/poker.php';

$db_connect = mysqli_connect($db_hostname,$db_username,$db_password,$db_database);

if ($db_connect)
{
	//echo "Database Connected <br />";
}
else
{
	die("Connection Failed: " . mysqli_connect_error());
}

/*foreach ($_POST as $item => $description)
	echo "$item: $description<br>";*/

if ( isset($_POST['dealer_account'])) $dealer_account = sanitizeSql($_POST['dealer_account']);
if ( isset($_POST['dealer_id'])) $dealer_id = sanitizeSql($_POST['dealer_id']);

{
	$query = '';
	if ($dealer_account)
	{
		$query = "SELECT dealer_id FROM dealers 
		where dealer_account = '$dealer_account' and authorization_level > 1";
	}
	else if ($dealer_id)
	{
		$query = "SELECT dealer_id FROM dealers
		where dealer_id = '$dealer_id' and authorization_level > 1";
	}
	if ($query)
	{
		$result = mysqli_query($db_connect,$query);
		if (!$result or (mysqli_num_rows($result) == 0))
		{
			$dealer_id = '';
			$dealer_account = '';
		}
		else
		{
			$dealer_id = getsqli_result($result,0,'dealer_id');
		}
	}
}

if ( isset($_POST['action'])) $action = sanitizeSql($_POST['action']);

if (!$action or !$dealer_id)
{
	echo <<<_END
	<form method="post" action="$thispage" autocomplete="off" >
	Enter your Dealer Mod Account:
	<input type="text" name="dealer_account" />
	<input type="hidden" name="action" value="account" />
	<input type="submit" value="Submit"/>
	</form>
_END;

}
elseif ( $action == "account" ) 
{
	{
		echo "<hr />
			  <b>Locations</b>
			 ";
		echo "<form method=\"post\" action=\"$thispage\">
			 ";
		location_select("Location");
		echo "</p><input type=\"submit\" value=\"Edit Location\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_location\" />
			  </form>	
			 ";

		echo "<form method=\"post\" action=\"$thispage\">
			  <br />Location <input type=\"text\" name=\"location\" size=\"32\" maxlength=\"32\"/><p />
			  <p /><input type=\"submit\" value=\"Add Location\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_location\" />
			  </form>				
			 ";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"location_points\" />
			  <input type=\"submit\" value=\"Location Points\" />
			  </form>				
			 ";

	}
	
	{
		echo "<hr />
			  <b>Schedule</b>
			 ";

		$day_query = "SELECT day, day_name FROM days ORDER BY day";

		echo "<form method=\"post\" action=\"$thispage\">
			 ";
		location_select("Location");
		id_select($day_query, "Day", "day");
		echo "<br />Time (i.e. 6:00pm) <input type =\"text\" name =\"time\" size=\"8\" maxlength=\"8\"/><p />
		      </p><input type=\"submit\" value=\"Add To Schedule\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"add_schedule\" />
			  </form>	
			 ";

		$schedule_query = "SELECT schedule_id, location, day_name, time FROM schedule, days, locations WHERE schedule.day = days.day and schedule.location_id = locations.location_id ORDER BY schedule.day";

		echo "<form method=\"post\" action=\"$thispage\">
			 ";
		id_select($schedule_query, "Schedule", "schedule_id");
		echo "</p><input type=\"submit\" value=\"Delete From Schedule\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"delete_schedule\" />
			  </form>	
			 ";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"update_schedule\" />
			  <input type=\"submit\" value=\"Update Schedule on Website\" />
			  </form>				
			 ";
	}

	{
		echo "<hr />
			  <b>Sponsors</b>
			 ";

		$sponsor_query = "SELECT sponsor_id, sponsor FROM sponsors ORDER BY sponsor";

		echo "<form method=\"post\" action=\"$thispage\">
			 ";
		id_select($sponsor_query,"Sponsor","sponsor_id");
		echo "</p><input type=\"submit\" value=\"Edit Sponsor\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_sponsor\" />
			  </form>	
			 ";

		echo "<form method=\"post\" action=\"$thispage\">
			  <br />Sponsor <input type=\"text\" name=\"sponsor\" size=\"48\" maxlength=\"48\"/><p />
			  <p /><input type=\"submit\" value=\"Add Sponsor\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_sponsor\" />
			  </form>				
			 ";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"update_sponsors\" />
			  <input type=\"submit\" value=\"Update Sponsors on Website\" />
			  </form>				
			 ";

	}

	{
		echo "
			<hr />
			<b>Players</b>
			";
		echo "
			<form method=\"post\" action=\"$thispage\">
			";
		player_select("Player");
		echo "
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"delete_player\" />
			<input type=\"submit\" value=\"Delete Player\" />
			</form>	
			";
			
		echo "
			<br />
			<form method=\"post\" action=\"$thispage\">
			";
		player_select("Player");
		echo "
			<input type=\"text\" name=\"player_name\" size=\"64\" maxlength=\"64\"/>
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"update_player\" />
			<input type=\"submit\" value=\"Update Player Name\" />
			</form>				
				";
	}

	{
		echo "
			<hr />
			<b>Events</b>
			";
		echo "
			<form method=\"post\" action=\"$thispage\">
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"event_list\" />
			<input type=\"submit\" value=\"Event List\" />
			</form>	
			";
			
		echo "
			<br />
			<form method=\"post\" action=\"$thispage\">
			<br /> Event ID <input type=\"text\" name=\"event_id\" size=\"5\" maxlength=\"5\"/>
			<br /> Date (YEAR-MM-DD Ex. 2013-12-31) <input type=\"text\" name=\"event_date\" />
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"update_event_date\" />
			<input type=\"submit\" value=\"Update Event\" />
			</form>				
				";

		echo "
			<br />
			<form method=\"post\" action=\"$thispage\">
			<br /> Event ID <input type=\"text\" name=\"event_id\" size=\"5\" maxlength=\"5\"/>
			";
		location_select("Location");
		echo "
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"update_event_location\" />
			<input type=\"submit\" value=\"Update Event\" />
			</form>				
			";


	}
	{
		echo "
			<hr />
			<b>Tournaments</b>
			";

		$tournament_query = "SELECT tournament_id, location, tournament_date FROM tournaments, locations WHERE tournaments.location_id = locations.location_id ORDER BY tournament_date";

		echo "<form method=\"post\" action=\"$thispage\">
			 ";
		id_select($tournament_query, "Tournament", "tournament_id");
		echo "</p><input type=\"submit\" value=\"Edit Tournament\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_tournament\" />
			  </form>	
			 ";

		echo "<form method=\"post\" action=\"$thispage\">
			 ";
		location_select("Location");
		echo "</p><input type=\"submit\" value=\"Add Tournament\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_tournament\" />
			  </form>	
			 ";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"update_tournaments\" />
			  <input type=\"submit\" value=\"Update Tournaments on Website\" />
			  </form>				
			 ";
	}
	{
		echo "
			<hr />
			<b>Quarterly</b>
			";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_rollovers\" />
			  <input type=\"submit\" value=\"Edit Rollovers\" />
			  </form>				
			 ";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"add_rollovers\" />
			  <input type=\"submit\" value=\"Add Rollovers Last Quarter\" />
			  </form>				
			 ";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"edit_attendance\" />
			  <input type=\"submit\" value=\"Edit Attendance\" />
			  </form>				
			 ";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <br />Event<input type=\"text\" name=\"event_id\" size=\"10\" maxlength=\"10\"/><p />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"delete_rollovers\" />
			  <input type=\"submit\" value=\"Delete Rollovers Who Played\" />
			  </form>				
			 ";

		echo "<br /><a href=\"$quarterly_fname\">Quarterly Data</a><br />";

		echo "<br />
			  <form method=\"post\" action=\"$thispage\">
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"update_quarterly_data\" />
			  <input type=\"submit\" value=\"Update Quarterly Data\" />
			  </form>				
			 ";

	}
}
elseif ( $_POST['action'] == "edit_location" )
{
	$location = "";
	$location_id = "";
	if ( isset($_POST['location'])) $location = sanitizeSql2( $_POST['location']);
	if ( isset($_POST['location_id'])) $location_id = sanitizeSql( $_POST['location_id']);

	if ($location != "")
	{
		$query = "INSERT INTO locations (location) values
					(\"$location\")";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			echo "Location created";
			$location_id = mysqli_insert_id($db_connect);
		}
		else
		{
			echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
	}

	if ($location_id != "")
	{
		$query = "SELECT location, location_name, location_street, location_city, location_state,
						location_phone, location_website FROM locations 
				  WHERE location_id = \"$location_id\"";
		$result = mysqli_query($db_connect,$query);
		if (!$result or (mysqli_num_rows($result) == 0))
		{
			echo "Location not found";
		}
		else
		{
			$row = mysqli_fetch_row($result);
			$location = $row[0];
			$location_name = $row[1];
			$location_street = $row[2]; 
			$location_city = $row[3];
			$location_state = $row[4];
			$location_phone = $row[5];
			$location_website = $row[6];

			echo "<form method=\"post\" action=\"$thispage\"><pre>
			  <br />Location (Short Name) <input type=\"text\" name=\"location\" size=\"32\" maxlength=\"32\" value=\"$location\" />
			  <br />Location (Full Name)  <input type =\"text\" name=\"location_name\" size=\"48\" maxlength=\"48\" value=\"$location_name\" / >
			  <br />Street Address        <input type =\"text\" name=\"location_street\" size=\"48\" maxlength=\"48\" value=\"$location_street\" />
			  <br />City                  <input type =\"text\" name=\"location_city\" size=\"48\" maxlength=\"48\" value=\"$location_city\" />
			  <br />State                 <input type =\"text\" name=\"location_state\" size=\"48\" maxlength=\"2\" value=\"$location_state\" />
			  <br />Phone                 <input type =\"text\" name=\"location_phone\" size=\"48\" maxlength=\"48\" value=\"$location_phone\" />
			  <br />Website               <input type =\"text\" name=\"location_website\" size=\"48\" maxlength=\"128\" value=\"$location_website\" />
			  <br /><input type=\"submit\" value=\"Update Location\" /></pre>
			  <input type=\"hidden\" name=\"location_id\" value=\"$location_id\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"update_location\" />
			  </form>
			 ";
			 
			echo "<form method=\"post\" action=\"$thispage\">
			  <br /><input type=\"submit\" value=\"Delete Location\" />
			  <input type=\"hidden\" name=\"location_id\" value=\"$location_id\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"delete_location\" />
			  </form>
			 ";
		}
	}
	else
	{
		echo "Invalid Location";
	}
}
elseif ( $_POST['action'] == "update_location" )
{
	$location_id         = sanitizeSql($_POST['location_id']);
	$location            = sanitizeSql2($_POST['location']);
	$location_name       = sanitizeSql2($_POST['location_name']);
	$location_street     = sanitizeSql2($_POST['location_street']);
	$location_city       = sanitizeSql2($_POST['location_city']);
	$location_state      = sanitizeSql2($_POST['location_state']);
	$location_phone      = sanitizeSql2($_POST['location_phone']);
	$location_website    = sanitizeSql2($_POST['location_website']);
	
	$query = "UPDATE locations
				SET location = \"$location\", location_name = \"$location_name\",
				    location_street = \"$location_street\", location_city = \"$location_city\",
					location_state = \"$location_state\",
					location_phone = \"$location_phone\", location_website = \"$location_website\"
				WHERE location_id = \"$location_id\" ";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Location Updated <br />";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "delete_location" )
{
	$deleted = 0;
	$location_id = sanitizeSql($_POST['location_id']);
	
	$query = "SELECT COUNT(*) from schedule WHERE location_id = \"$location_id\"";
	$result = mysqli_query($db_connect,$query);
	if ($result and (getsqli_result($result,0,0) == 0))
	{
		$query = "SELECT COUNT(*) from events WHERE location_id = \"$location_id\"";
		$result = mysqli_query($db_connect,$query);
		if ($result and (getsqli_result($result,0,0) == 0))
		{
			$query = "SELECT COUNT(*) from tournaments WHERE location_id = \"$location_id\"";
			$result = mysqli_query($db_connect,$query);
			if ($result and (getsqli_result($result,0,0) == 0))
			{
				$query = "DELETE FROM locations WHERE location_id = \"$location_id\"";
				$result = mysqli_query($db_connect,$query);
				if ($result)
				{
					echo "Location Deleted <br />";
					$deleted = 1;
				}
				else
				{
					echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
				}
			}
		}
	}
	if ($deleted == 0)
	{
		echo "Events/Tournaments Still Exist For Location or Location Still on Schedule";

		$query = "SELECT location, event_date, last_updated, event_notes from events,locations
			where events.location_id = \"$location_id\" and events.location_id = locations.location_id
			order by location,event_date";

		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			$column_names = array("Location","Date","Last Updated","Notes");
		
			echo "
				<h4>Events</h4>
				";

			dump_result($result,$column_names);
		}
		
		$query = "SELECT day_name, location, time FROM schedule, days, locations 
				  WHERE schedule.day = days.day and schedule.location_id = locations.location_id and
				        schedule.location_id = \"$location_id\"
				  ORDER BY schedule.day";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			$column_names = array("Day","Location","Time");
		
			echo "
				<h4>Schedule</h4>
				";

			dump_result($result,$column_names);
		}
		
		$query = "SELECT location, tournament_date  FROM tournaments, locations 
				  WHERE tournaments.location_id = locations.location_id and
				        tournaments.location_id = \"$location_id\"
				  ORDER BY tournament_date";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			$column_names = array("Location","Date");
		
			echo "
				<h4>Tournaments</h4>
				";

			dump_result($result,$column_names);
		}
	}
}
elseif ( $_POST['action'] == "add_schedule" )
{
	$location_id = sanitizeSql($_POST['location_id']);
	$day         = sanitizeSql($_POST['day']);
	$time        = sanitizeSql($_POST['time']);
	
	$query = "INSERT INTO schedule (location_id, day, time) values
				(\"$location_id\",\"$day\",\"$time\")";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Added To Schedule";
	}
	else
	{
		echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "delete_schedule" )
{
	$schedule_id = sanitizeSql($_POST['schedule_id']);
	
	$query = "DELETE FROM schedule WHERE schedule_id = \"$schedule_id\"";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Deleted From Schedule <br />";
	}
	else
	{
		echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "update_schedule" )
{
	generate_schedule($schedule_fname);
	
	echo "Schedule Updated on Website";

}
elseif ( $_POST['action'] == "edit_sponsor" )
{
	$sponsor = "";
	$sponsor_id = "";
	if ( isset($_POST['sponsor'])) $sponsor = sanitizeSql2( $_POST['sponsor']);
	if ( isset($_POST['sponsor_id'])) $sponsor_id = sanitizeSql( $_POST['sponsor_id']);

	if ($sponsor != "")
	{
		$query = "INSERT INTO sponsors (sponsor) values
					(\"$sponsor\")";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			echo "Sponsor created";
			$sponsor_id = mysqli_insert_id($db_connect);
		}
		else
		{
			echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
	}

	if ($sponsor_id != "")
	{
		$query = "SELECT sponsor, sponsor_website, sponsor_image FROM sponsors 
				  WHERE sponsor_id = \"$sponsor_id\"";
		$result = mysqli_query($db_connect,$query);
		if (!$result or (mysqli_num_rows($result) == 0))
		{
			echo "Sponsor not found";
		}
		else
		{
			$row = mysqli_fetch_row($result);
			$sponsor = $row[0];
			$sponsor_website = $row[1];
			$sponsor_image = $row[2]; 

			echo "<form method=\"post\" action=\"$thispage\"><pre>
			  <br />Sponsor         <input type=\"text\" name=\"sponsor\" size=\"48\" maxlength=\"48\" value=\"$sponsor\" />
			  <br />Website Address <input type =\"text\" name=\"sponsor_website\" size=\"48\" maxlength=\"128\" value=\"$sponsor_website\" />
			  <br />Image Address   <input type =\"text\" name=\"sponsor_image\" size=\"48\" maxlength=\"128\" value=\"$sponsor_image\" />
			  <br /><input type=\"submit\" value=\"Update Sponsor\" /></pre>
			  <input type=\"hidden\" name=\"sponsor_id\" value=\"$sponsor_id\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"update_sponsor\" />
			  </form>
			 ";
			 
			echo "<br />Website Will Currently Display";
			if ($sponsor_image != "")
			{
				echo "<p><a href = \"$sponsor_website\" ><img src=\"$sponsor_image\" /></a></p>";
			}
			else
			{
				echo "<p><a href = \"$sponsor_website\" >$sponsor</a></p>";
			}
			 
			echo "<form method=\"post\" action=\"$thispage\">
			  <br /><input type=\"submit\" value=\"Delete Sponsor\" />
			  <input type=\"hidden\" name=\"sponsor_id\" value=\"$sponsor_id\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"delete_sponsor\" />
			  </form>
			 ";
		}
	}
	else
	{
		echo "Invalid Sponsor";
	}
}
elseif ( $_POST['action'] == "update_sponsor" )
{
	$sponsor_id         = sanitizeSql($_POST['sponsor_id']);
	$sponsor            = sanitizeSql2($_POST['sponsor']);
	$sponsor_website    = sanitizeSql2($_POST['sponsor_website']);
	$sponsor_image      = sanitizeSql2($_POST['sponsor_image']);
	
	$query = "UPDATE sponsors
				SET sponsor = \"$sponsor\", 
					sponsor_image = \"$sponsor_image\", sponsor_website = \"$sponsor_website\"
				WHERE sponsor_id = \"$sponsor_id\" ";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Sponsor Updated <br />";

		echo "<br />Website Will Currently Display";
		if ($sponsor_image != "")
		{
			echo "<p><a href = \"$sponsor_website\" ><img src=\"$sponsor_image\" /></a></p>";
		}
		else
		{
			echo "<p><a href = \"$sponsor_website\" >$sponsor</a></p>";
		}
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}

	echo <<<_END
		<hr />
		<form method="post" action="$thispage">
		<input type="hidden" name="action" value="edit_sponsor" />
		<input type="hidden" name="sponsor_id" value="$sponsor_id" />
		<input type="hidden" name="dealer_id" value="$dealer_id" />
		<input type="submit" value="Return to Sponsor" />
		</form>
_END;

}
elseif ( $_POST['action'] == "delete_sponsor" )
{
	$sponsor_id = sanitizeSql($_POST['sponsor_id']);
	
	$query = "DELETE FROM sponsors WHERE sponsor_id = \"$sponsor_id\"";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Sponsor Deleted <br />";
	}
	else
	{
		echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "update_sponsors" )
{
	generate_sponsors($sponsors_fname);
	
	echo "Sponsors Updated on Website";

}
elseif ( $_POST['action'] == "delete_player" )
{
	$player_id = sanitizeSql($_POST['player_id']);
	
	$query = "SELECT COUNT(*) from points WHERE player_id = \"$player_id\"";
	$result = mysqli_query($db_connect,$query);
	if ($result and (getsqli_result($result,0,0) == 0))
	{
		$query = "DELETE FROM players WHERE player_id = \"$player_id\"";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			echo "Player Deleted <br />";
		}
		else
		{
			echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
	}
	else
	{
		echo "Points Still Exist For Player";

		$query = "SELECT player_name, event_date, location, num_points, points_notes
			from points,players,events,locations
			where 
				points.player_id = \"$player_id\" and
				points.player_id = players.player_id and
				points.event_id = events.event_id and
				events.location_id = locations.location_id
			order by player_name, event_date, location
			";

		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			$column_names = array("Player","Date","Location","Points","Notes");
		
			echo "
				<h4>Points</h4>
				";

			dump_result($result,$column_names);
		}

	}
}
elseif ( $_POST['action'] == "update_player" )
{
	$player_id = sanitizeSql($_POST['player_id']);
	$player_name = sanitizeSql($_POST['player_name']);
	
	$query = "UPDATE players SET player_name = \"$player_name\" WHERE player_id = \"$player_id\"";
	$result = mysqli_query($db_connect,$query);

	if ($result)
	{
		echo "Player Updated";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
else if ($_POST['action'] == "event_list")
{
//	$query = "SELECT event_id, location, event_date, last_updated, event_notes from events,locations
//		where events.location_id = locations.location_id order by location,event_date";

	$query = "SELECT event_id, location, event_date, games, last_updated, event_notes, dealer_name
		from events,locations,dealers
		where events.location_id = locations.location_id 
		and events.dealer_id = dealers.dealer_id 
		order by location,event_date";



	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("Event ID","Location","Date","Games","Last Updated","Notes","Dealer");
		
		echo "
			<h4>Events</h4>
			";

		dump_result($result,$column_names);
	}

}
elseif ( $_POST['action'] == "update_event_date" )
{
	$event_id = sanitizeSql($_POST['event_id']);
	$event_date = sanitizeSql($_POST['event_date']);
	
	$query = "UPDATE events SET event_date = \"$event_date\" WHERE event_id = \"$event_id\"";
	$result = mysqli_query($db_connect,$query);

	if ($result)
	{
		echo "Event Date Updated";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "update_event_location" )
{
	$event_id = sanitizeSql($_POST['event_id']);
	$location_id = sanitizeSql($_POST['location_id']);
	
	$query = "UPDATE events SET location_id = \"$location_id\" WHERE event_id = \"$event_id\"";
	$result = mysqli_query($db_connect,$query);

	if ($result)
	{
		echo "Event Location Updated";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
else if ($_POST['action'] == "location_points")
{
	$query = "SELECT location, sum(num_points), count(distinct points.event_id) FROM events,points,locations WHERE points.event_id = events.event_id and events.location_id = locations.location_id group by location";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("Location","Points", "Events");
		
		echo "
			<h4>Location Points</h4>
			";

		dump_result($result,$column_names);
	}

}
elseif ( $_POST['action'] == "edit_tournament" )
{
	$tournament_id = "";
	$location_id = "";
	if ( isset($_POST['tournament_id'])) $tournament_id = sanitizeSql( $_POST['tournament_id']);
	if ( isset($_POST['location_id'])) $location_id = sanitizeSql( $_POST['location_id']);

	if ($location_id != "")
	{
		$query = "INSERT INTO tournaments (location_id) values
					(\"$location_id\")";
		$result = mysqli_query($db_connect,$query);
		if ($result)
		{
			echo "Tournament created";
			$tournament_id = mysqli_insert_id($db_connect);
		}
		else
		{
			echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
		}
	}

	if ($tournament_id != "")
	{
		$query = "SELECT tournament_date, tournament_time, tournament_details, tournament_show, location
		          FROM tournaments, locations
				  WHERE tournaments.location_id = locations.location_id AND tournament_id = \"$tournament_id\"";
		$result = mysqli_query($db_connect,$query);
		if (!$result or (mysqli_num_rows($result) == 0))
		{
			echo "Tournament not found";
		}
		else
		{
			$row = mysqli_fetch_row($result);
			$tournament_date = $row[0];
			$tournament_time = $row[1];
			$tournament_details = $row[2]; 
			$tournament_show = $row[3];
			$location = $row[4];

			$checked = "";
			if ($tournament_show == 1) $checked = "checked=\"checked\" ";

			echo "$location";

			echo "<form method=\"post\" action=\"$thispage\"><pre>
			  <br />Date (YEAR-MM-DD Ex. 2014-12-31) <input type=\"text\" name=\"tournament_date\" value=\"$tournament_date\" />
			  <br />Time (Ex. 2:00pm)                <input type=\"text\" name=\"tournament_time\" size=\"8\" maxlength=\"8\" value=\"$tournament_time\" />
			  <br />Details                          <input type =\"text\" name=\"tournament_details\" size=\"512\" maxlength=\"512\" value=\"$tournament_details\" / >
			  <br />Show Tournament                  <input type =\"checkbox\" name=\"tournament_show\" value=1 $checked />
			  <br /><input type=\"submit\" value=\"Update Tournament\" /></pre>
			  <input type=\"hidden\" name=\"tournament_id\" value=\"$tournament_id\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"update_tournament\" />
			  </form>
			 ";
			 
			echo "<form method=\"post\" action=\"$thispage\">
			  <br /><input type=\"submit\" value=\"Delete Tournament\" />
			  <input type=\"hidden\" name=\"tournament_id\" value=\"$tournament_id\" />
			  <input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			  <input type=\"hidden\" name=\"action\" value=\"delete_tournament\" />
			  </form>
			 ";
			 
			 echo "<br />Details currently appear as<br />$tournament_details";
		}
	}
	else
	{
		echo "Invalid Tournament";
	}
}
elseif ( $_POST['action'] == "update_tournament" )
{
	$tournament_id         = sanitizeSql($_POST['tournament_id']);
	$tournament_date       = sanitizeSql($_POST['tournament_date']);
	$tournament_time       = sanitizeSql($_POST['tournament_time']);
	$tournament_details    = sanitizeSqlLeaveHtml($_POST['tournament_details']);
	$tournament_show       = 0;
	if ( isset($_POST['tournament_show'])) $tournament_show = 1;
	
	
	$query = "UPDATE tournaments
				SET tournament_date = \"$tournament_date\", 
					tournament_time = \"$tournament_time\", 
					tournament_details = \"$tournament_details\",
					tournament_show = \"$tournament_show\"
				WHERE tournament_id = \"$tournament_id\" ";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Tournament Updated <br />";
		echo "<br />Details will appear as<br />$tournament_details";
	}
	else
	{
		echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}

	echo <<<_END
		<hr />
		<form method="post" action="$thispage">
		<input type="hidden" name="action" value="edit_tournament" />
		<input type="hidden" name="tournament_id" value="$tournament_id" />
		<input type="hidden" name="dealer_id" value="$dealer_id" />
		<input type="submit" value="Return to Tournament" />
		</form>
_END;

}
elseif ( $_POST['action'] == "delete_tournament" )
{
	$tournament_id = sanitizeSql($_POST['tournament_id']);
	
	$query = "DELETE FROM tournaments WHERE tournament_id = \"$tournament_id\"";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Tournament Deleted <br />";
	}
	else
	{
		echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "update_tournaments" )
{
	generate_tournaments($tournaments_fname);
	
	echo "Tournaments Updated on Website";

}
elseif ( $_POST['action'] == "edit_rollovers" )
{
	{
		echo "
			<br />
			<form method=\"post\" action=\"$thispage\">
			";
		player_select("Player");
		echo "
			<br />Rollover<input type=\"text\" name=\"rollover\" value=\"0\" />
			<br /><br />Date (YEAR-MM-DD Ex. 2015-12-31) <input type=\"text\" name=\"rollover_date\" value=\"2015-01-31\" />
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"edit_rollovers\" />
			<br /><input type=\"submit\" value=\"Update Rollover\" />
			</form>				
				";
	}

	if ( isset($_POST['player_id']))
	{
		$player_id = sanitizeSql($_POST['player_id']);
		$rollover_date = sanitizeSql($_POST['rollover_date']);
		$rollover = sanitizeSql($_POST['rollover']);
		
		$query = "DELETE FROM rollovers WHERE player_id = '$player_id'";
		$result = mysqli_query($db_connect,$query);
		
		if ($rollover > 0)
		{
			$query = "INSERT INTO rollovers (player_id, rollover, rollover_date)
						values ('$player_id','$rollover',DATE('$rollover_date') )";
			$result = mysqli_query($db_connect,$query);
			if (!$result)
			{
				echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
			}
		}
	}

	$query = "SELECT player_name, rollover, rollover_date
	          FROM rollovers,players
			  WHERE
			    rollovers.player_id = players.player_id
			  ORDER BY player_name;";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("Player Name","Rollover","Date");
		
		echo "
			<h4>Rollovers</h4>
			";

		dump_result($result,$column_names);
	}

}
elseif ( $_POST['action'] == "add_rollovers" )
{
	$rollover_date = var_value($end_of_last_season);
	$fname = $old_leaderboard_fname;
	
	if ($fh = fopen($fname, 'r'))
	{
		while ($line = fgets($fh))
		{
			$row = explode(",",$line);
			$new_rollover = intval($row[1]);

			$player_id = id_player($row[0]);
			$query = "SELECT rollover FROM rollovers WHERE player_id ='$player_id' ";
			$result = mysqli_query($db_connect,$query);

			$add = true;
			if ($result and (mysqli_num_rows($result) > 0))
			{
				$rollover = getsqli_result($result,0,'rollover');
				
				if ($rollover < $new_rollover)
				{
					$query = "DELETE FROM rollovers WHERE player_id ='$player_id' ";
					$result = mysqli_query($db_connect,$query);
					if ($result)
					{
						echo "Rollover deleted $row[0] was $rollover now $row[1] <br />";
					}
					else
					{
						echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
					}
				}
				else
				{
					echo "Rollover not changed $row[0] was $rollover new $row[1] <br />";
					$add = false;
				}
			}
			if ($add == true)
			{
				$query = "INSERT INTO rollovers (player_id, rollover, rollover_date)
							VALUES ($player_id,$row[1],DATE('$rollover_date') )";
				$result = mysqli_query($db_connect,$query);
				if ($result)
				{
					echo "Rollover added $row[0] $row[1] <br />";
				}
				else
				{
					echo "Insert failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
				}					
			}
		}
		fclose($fh);
	}
	else
	{
		echo "$fname not found";
	}

}
elseif ( $_POST['action'] == "delete_rollovers" )
{
	$event_id = sanitizeSql($_POST['event_id']);

	$query = "DELETE FROM rollovers WHERE player_id IN 
				(SELECT player_id FROM points WHERE 
					event_id = '$event_id' and points_notes != 'D' ) ";
	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		echo "Rollovers Deleted";
	}
	else
	{
		echo "Delete failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
	}
}
elseif ( $_POST['action'] == "edit_attendance" )
{
	{
		echo "
			<br />
			<form method=\"post\" action=\"$thispage\" autocomplete=\"off\">
			";
		player_select("Player");
		echo "
			<br />Attending<select name=\"attending\" >
			<option value=\"Yes\" selected>Yes</option>
			<option value=\"No\" >No</option>
			<option value=\"Maybe\" >Maybe</option>
			<option value=\"Pending\" >Pending</option>
			<option value=\"Deal\" >Deal</option>
			<option value=\"Delete\" >Delete</option>
			</select><br />
			<br />Bonus<input type=\"text\" name=\"bonus\" /><br />
			<br />Options<select name=\"options\" >
			<option value=\"Food\" >Food</option>
			<option value=\"\" selected>None</option>
			</select><br />
			<input type=\"hidden\" name=\"dealer_id\" value=\"$dealer_id\" />
			<input type=\"hidden\" name=\"action\" value=\"edit_attendance\" />
			<br /><input type=\"submit\" value=\"Update Attendance\" />
			</form>				
				";
	}

	if ( isset($_POST['player_id']))
	{
		$player_id = sanitizeSql($_POST['player_id']);
		$attending = sanitizeSql($_POST['attending']);
		$options   = sanitizeSql($_POST['options']);
		$bonus     = sanitizeSql($_POST['bonus']);
		
		$query = "DELETE FROM quarterly WHERE player_id = '$player_id'";
		$result = mysqli_query($db_connect,$query);
		
		if ($attending != "Delete")
		{
			if ($bonus != '')
			{
				$query = "INSERT INTO quarterly (player_id, attending,options,bonus)
							values ('$player_id','$attending','$options','$bonus' )";
			}
			else
			{
				$query = "INSERT INTO quarterly (player_id, attending,options)
							values ('$player_id','$attending','$options' )";
			}
			$result = mysqli_query($db_connect,$query);
			if (!$result)
			{
				echo "Update failed <br />$query<br />" . mysqli_error($db_connect) . "<br />";
			}
		}
	}

	$query = "SELECT player_name, attending, options, bonus
	          FROM quarterly,players
			  WHERE
			    quarterly.player_id = players.player_id
			  ORDER BY player_name;";

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
		$column_names = array("Player Name","Attending","Options","Bonus");
		
		echo "
			<h4>Attendance</h4>
			";

		dump_result($result,$column_names);

		$query ="SELECT attending, count(attending)FROM `quarterly` group by attending order by attending desc";
		$result = mysqli_query($db_connect,$query);
		$column_names = array("ATTENDING","COUNT");
		dump_result($result,$column_names);
	}

}
elseif ( $_POST['action'] == "update_quarterly_data" )
{
	$stored_end_quarter = var_value($end_of_last_season);
	generate_quarterly($quarterly_fname,$stored_end_quarter);
	
	echo "Quarterly Data Updated";

}
if ($dealer_id)
{
	if ($action != "account")
	{
		echo <<<_END
			<hr />
			<form method="post" action="$thispage">
			<input type="hidden" name="action" value="account" />
			<input type="hidden" name="dealer_id" value="$dealer_id" />
			<input type="submit" value="Return to Account" />
			</form>
_END;
	}

}

mysqli_close($db_connect);

function id_player($player_name)
{
	global $db_connect;

	$query = "SELECT player_id FROM players where player_name = \"$player_name\"";
	$result = mysqli_query($db_connect,$query);
	if ($result and (mysqli_num_rows($result) > 0))
	{
		$player_id = getsqli_result($result,0,'player_id');
		return $player_id;
	}
	else
	{
		return -1;
	}
}

function generate_schedule($schedule_fname)
{
	global $db_connect;

	$query = "SELECT day_name, location_name, location_street, location_city, location_state, location_phone, location_website, time FROM schedule, days, locations WHERE schedule.day = days.day and schedule.location_id = locations.location_id ORDER BY schedule.day";
	$result = mysqli_query($db_connect,$query);
	generate_file($result,$schedule_fname);
}

function generate_sponsors($sponsors_fname)
{
	global $db_connect;

	$query = "SELECT sponsor, sponsor_website, sponsor_image FROM sponsors ORDER BY sponsor_id DESC";
	$result = mysqli_query($db_connect,$query);
	generate_file($result,$sponsors_fname);
}

function generate_tournaments($tournaments_fname)
{
	global $db_connect;

	$query = "SELECT location_name, location_street, location_city, location_state, location_phone, location_website, tournament_date, tournament_time, tournament_details 
	          FROM tournaments, locations
			  WHERE tournaments.location_id = locations.location_id and tournament_show != 0
			  ORDER BY tournament_date";
	$result = mysqli_query($db_connect,$query);
	generate_file($result,$tournaments_fname);
}
function generate_quarterly($quarterly_fname,$stored_end_quarter)
{
	global $db_connect;

	$query = "SELECT player_name NAME,sum(num_points) POINTS,rollover ROLLOVER, count(event_date) PARTICIPATION, attending ATTENDING, options OPTIONS
			FROM players
			JOIN points ON players.player_id = points.player_id
			JOIN events ON points.event_id = events.event_id 
			LEFT JOIN rollovers ON players.player_id = rollovers.player_id
			LEFT JOIN quarterly ON players.player_id = quarterly.player_id
			WHERE
				events.event_date <= '$stored_end_quarter'
			GROUP BY player_name 
			ORDER BY player_name ASC";
	$result = mysqli_query($db_connect,$query);
	generate_file($result,$quarterly_fname);
    $column_names = array("NAME","POINTS","ROLLOVER","PARTICIPATION","ATTENDING","OPTION");
	generate_table($quarterly_fname,$column_names);
}
?>

</body>
</html>