<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><!-- InstanceBegin template="/Templates/main.dwt" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- InstanceBeginEditable name="doctitle" -->
<meta name="description" content="Florida Free Poker is a social league offering Free Tournament Style Texas Hold'em at local restaurants in Lake County Florida.">
<meta name="keywords" content="texas holdem, league, lake county, tavares, leesburg, fruitland park, eustis, webster">
<title>Florida Free Poker | Home</title>
<!-- InstanceEndEditable -->
<link href="css/style.css" rel="stylesheet" type="text/css" />
<!--[if lte IE 7]>
<style>
.content { margin-right: -1px; } /* this 1px negative margin can be placed on any of the columns in this layout with the same corrective effect. */
ul.nav a { zoom: 1; }  /* the zoom property gives IE the hasLayout trigger it needs to correct extra whiltespace between the links */
</style>
<![endif]-->
<style type="text/css">
body {
	margin-left: 8px;
	margin-right: 8px;
}
</style>
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
<!-- InstanceParam name="Sponsors" type="boolean" value="true" -->
<!-- InstanceParam name="index_active" type="text" value="class=&quot;active&quot;" -->
<!-- InstanceParam name="schedule_active" type="text" value="" -->
<!-- InstanceParam name="leaderboard_active" type="text" value="" -->
<!-- InstanceParam name="contact_active" type="text" value="" -->
<!-- InstanceParam name="Sidebar1" type="boolean" value="true" -->
</head>

<body>

<div class="container">
  <div class="header"><a href="#"><img src="images/pocketaces.jpg" alt="Florida Free Poker Banner" width="100%" height="333" id="Insert_logo" style="background: #8090AB; display:block;" /></a> 
    <!-- end .header --></div>
  <div class="menu">
  	<ul>
  		<li><a href="./" class="active" >Home</a></li>
    	<li><a href="schedule.php"  >Schedule</a></li>
        <li><a href="leaderboard.php"  >Leaderboard</a></li>
    	<li><a href="contact.html"  >Contact Us</a></li>
    </ul>
  </div>
  <!-- InstanceBeginEditable name="EditRegion4" -->
  <div class="sidebar1">
	<p><a href="old_leaderboard.php">Click Here</a> for last quarter's leaderboard</p>
	<?php
    include_once "scripts/poker.php";
	//$filedate = date ("D d-M H:i", filemtime($leaderboard_fname));
	//echo "<p>Last Updated:<br/>$filedate</p>";
	echo "<p>Recent Updates</p>";
	$column_names = array("Date","Location");
	generate_table($last_events_fname,$column_names,"recent_updates");
    leaderboard_table($leaderboard_fname);
    ?>
    <!-- end .sidebar1 -->
  </div>
  <!-- InstanceEndEditable --><!-- InstanceBeginEditable name="MainContent" -->
  <div class="content">
    <h1>Welcome to Florida Free Poker</h1>

	<h2>Safety rules in place.  </h2>
    <ul>
	<li>Masks are now optional for players and dealers unless otherwise required by the venue</li>
    <li>Dealers are asked to remind players of new safety rules and to enforce them</li>
	<li>Players with any cold/flu symptoms are asked not to come to poker</li>
	<li>No eating during a game.  In the past players have sometimes bounced back and forth between their food and the game.  This is no longer allowed.  Please finish your food then wash/sanitize before sitting down at a game</li>
	<li>Players and Dealers must sanitize their hands before the start of EVERY game</li>
	<li>Dealers will have hand sanitizer available at their table, however, players are encouraged to bring their own</li>
	<li>Dealers will sanitize their chips, cards, and cupholders at home prior to coming to poker</li>
    </ul>

<!--
	<div style="margin-bottom:30px">
    <p><a href="images/zehr.pdf">
    	<embed src="images/zehr.pdf" type="application/pdf" width="200" align="left"></embed>
        Upcoming charity tournament Saturday, March 21st at Crazy Gator for Jennifer Zehr. Click link for details.</a>
    </p>
    <br clear="left">
    </div>
	<div>
	<p><a href="images/angelflight202003.png"><img src="images/angelflight202003.png" alt="Angel Flight Tournament" width="200" align="left" /></a>Upcoming charity tournament Saturday, March 28th for Angel Flight Southeast. Click image to zoom in for details.</p>
    <br clear="left">
    </div>
-->

    <p>We are Central Florida's home for Free Tournament Style Texas Hold'em.  Come visit us at any one of our many locations.  Play against local players in a friendly, fun-filled atmosphere for your chance to win great prizes.  Come to learn or to brush up on your game.  Games are FREE TO PLAY.  Earn points towards quarterly tournaments where you can win prizes.</p>
<!--
	<p><a href="http://eepurl.com/bIGyNf"><img src="images/email.png" alt="Subscribe" width="26" /> New! Subscribe to receive emails about league events!</a></p>
-->
    <p><a href="./contact.html">Contact us</a> to learn how Florida Free Poker can host tournaments for your charity. </p>
    <?php
	require_once "scripts/poker.php";
	$column_names = array("Announcements");
	generate_table($announcements_fname,$column_names);
	?>
    <h2>Upcoming Charity Tournaments</h2>

	<?php
	require_once "scripts/poker.php";
	generate_tournaments_table($tournaments_fname,0);
	?>

    <h2>Tournament Schedule</h2>
    <p>Sign up begins 30 minutes prior to start time.</p>

	<?php
	require_once "scripts/poker.php";
	generate_schedule_table($schedule_fname,0);
	?>

    <p>Visit our online <a href="schedule.php">Schedule</a> for a printer friendly view of the schedule with complete location information.</p>
    <h2>Game Play</h2>
    <p>Participate in local Sit and Go Style Tournaments any day of the week to earn points. Points are awarded to top two finishers as well as for special knockouts and bounties.</p>
    <p>Participate in quarterly multi-table Tournaments where your points earn you additional chips. Finalists are awarded prizes.</p>
    <h2>Prizes</h2>
    <p>Daily tournaments may award prizes. Come back often to see announcements of  special promotions and offers.</p>

<p align="center"><a href="http://mxguarddog.com">prevent spam</a></p>
    <!-- end .content -->
  </div>
  <!-- InstanceEndEditable -->
  <div class="sidebar2">
    <h4>Sponsors</h4>
	<?php
	require_once "scripts/poker.php";
	generate_sponsors_table($sponsors_fname);
	?>
<!-- end .sidebar2 -->
  </div>
  
  <div class="footer">
    <div class="menu">
  	<ul>
      	<li><a href="./">Home</a></li>
    	<li><a href="contact.html">Contact Us</a></li>
    	<li>©2014 Florida Free Poker, All Rights Reserved</li>
  	</ul>
  </div>
    <!-- end .footer --></div>
  <!-- end .container --></div>
</body>
<!-- InstanceEnd --></html>
