<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Quarterly</title>
<link href="css/style.css" rel="stylesheet" type="text/css" />
</head>

<body style="background:none">

<?php
$thispage = "quarterly.php";

require_once 'scripts/login.php';
require_once 'scripts/poker.php';

$action = '';

$db_connect = mysqli_connect($db_hostname,$db_username,$db_password,$db_database);
if ($db_connect)
{
}
else
{
	die("Connection Failed: " . mysqli_connect_error());
}


if ( isset($_POST['action'])) $action = sanitizeSql($_POST['action']);

if (!$action)
{
	$stored_end_quarter = var_value($end_of_last_season);

	$query = "SELECT player_name NAME, sum(num_points) POINTS
			FROM players
			JOIN points ON players.player_id = points.player_id
			GROUP BY player_name 
			ORDER BY POINTS DESC";
	$result = mysqli_query($db_connect,$query);
	$row = mysqli_fetch_row($result);
	$max_points = $row[1];
	//echo "$max_points</br>";
	//$column_names = array("NAME","POINTS");
	//dump_result($result,$column_names);
	
	$query = "SELECT player_name NAME, sum(num_points) POINTS, count(event_date) PARTICIPATION, rollover ROLLOVER, attending ATTENDING, bonus BONUS
			FROM players
			JOIN points ON players.player_id = points.player_id
			JOIN events ON points.event_id = events.event_id 
			LEFT JOIN rollovers ON players.player_id = rollovers.player_id
			LEFT JOIN quarterly ON players.player_id = quarterly.player_id
			WHERE
				events.event_date <= '$stored_end_quarter'
			GROUP BY player_name 
			ORDER BY player_name ASC";
			
/*
	$query = "SELECT player_name NAME, sum(num_points) POINTS, count(event_date) PARTICIPATION, '' ROLLOVER, attending ATTENDING, bonus BONUS
			FROM players
			JOIN points ON players.player_id = points.player_id
			JOIN events ON points.event_id = events.event_id 
			LEFT JOIN quarterly ON players.player_id = quarterly.player_id
			WHERE
				events.event_date <= '$stored_end_quarter'
			GROUP BY player_name 
			ORDER BY player_name ASC";
*/

	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
	    $column_names = array("NAME","POINTS","PARTICIPATION","ROLLOVER","ATTENDING","BONUS");
		
		dump_result($result,$column_names);
		
		$query_count ="SELECT attending, count(attending)FROM `quarterly` group by attending order by attending desc";
		$result = mysqli_query($db_connect,$query_count);
		$column_names = array("ATTENDING","COUNT");
		dump_result($result,$column_names);
	}
	else
	{
		echo "Query failed <br />$query<br />" . mysqli_error() . "<br />";
	}

	$query = "SELECT player_name NAME, sum(num_points) POINTS, count(event_date) PARTICIPATION, rollover ROLLOVER, attending ATTENDING, bonus BONUS
			FROM players
			JOIN points ON players.player_id = points.player_id
			JOIN events ON points.event_id = events.event_id 
			LEFT JOIN rollovers ON players.player_id = rollovers.player_id
			LEFT JOIN quarterly ON players.player_id = quarterly.player_id
			WHERE
				events.event_date <= '$stored_end_quarter'
				and attending = 'Yes'
			GROUP BY player_name 
			ORDER BY player_name ASC";
/*
	$query = "SELECT player_name NAME, sum(num_points) POINTS, count(event_date) PARTICIPATION, '' ROLLOVER, attending ATTENDING, bonus BONUS
			FROM players
			JOIN points ON players.player_id = points.player_id
			JOIN events ON points.event_id = events.event_id 
			LEFT JOIN quarterly ON players.player_id = quarterly.player_id
			WHERE
				events.event_date <= '$stored_end_quarter'
				and attending = 'Yes'
			GROUP BY player_name 
			ORDER BY player_name ASC";
*/


	$result = mysqli_query($db_connect,$query);
	if ($result)
	{
	 	$rows = mysqli_num_rows($result);
				
		echo "<p style='page-break-before:always' ></p>";
		for ($j = 0 ; $j < $rows ; ++$j)
		{
			$row = mysqli_fetch_row($result);
			$total = min($row[1] + $row[3],$max_points);
			$additional = "";
			$bonus = "";
			if ($row[3] != '')
			{
				$rollover_cap = $total - $row[1];
				$additional = "($row[1] points + $rollover_cap rollover)";
			}
			if ($row[5] != '')
			{
				$total = $total + $row[5];
				$bonus = "(+ $row[5] point bonus)";
			}
			echo "
				<div style='margin-right:20px;margin-top:20px;width:330px;height:160px;float:left;border-style:solid;align=center' >
				<h2 style='text-align:center;margin:5px'>$row[0]</h2>
				<h3 style='text-align:center;margin:5px'>$total,000</h3>
				<h3 style='text-align:center;margin:5px'>$additional</h3>
				<h3 style='text-align:center;margin:5px'>$bonus</h3>
				</div>";
			if ($j % 2 == 1) echo "<br class='clearfloat' />";
			if ($j % 10 == 9)
			{
				echo "<p style='page-break-before:always' ></p>";
			}
		}
	}

}
mysqli_close($db_connect);
?>

</body>
</html>